Foxit PDF SDK

Instance Methods | Properties | List of all members
FSLaunchAction Class Reference
Inheritance diagram for FSLaunchAction:

## Instance Methods
(NSString *) | - getWinAppOperation
| (Windows-specific launch parameters) Get the operation name. More...
(NSString *) | - getWinAppParameter
| (Windows-specific launch parameters) Get parameter string to be passed to the specified application. More...
(NSString *) | - getWinDefaultDirectory
| (Windows-specific launch parameters) Get the default directory in standard DOS syntax. More...
(NSString *) | - getWinFileName
| (Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed. More...
(id) | - initWithAction:
| Constructor, with parent class object. More...
(void) | - setWinLaunchParameter:default_directory:operation:app_parameter:
| (Windows-specific launch parameters)Set Windows-specific launch parameters. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
FSFileSpec * | fileSpec
| Get or Set the file specification which specifies the application to be launched or the document to be opened or printed.
FSActionNewWindowFlag | newWindowFlag
| Get or Set the flag which is used to decide whether to open the destination document in a new window or not.

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

Launch action is to launch an application, usually to open a file. Class FSLaunchAction is derived from FSAction and offers functions to get/set launch action data.

See also
  FSAction

## Method Documentation

## ◆ getWinAppOperation()

- (NSString *) getWinAppOperation |  |  |

(Windows-specific launch parameters) Get the operation name.

Standard strings for operation name are:

- "open": Open a document.
- "print": Print a document

If the file name of Windows-specific launch parameters represents an application, the operation name would be useless for current action.

Returns
  Operation name.

## ◆ getWinAppParameter()

- (NSString *) getWinAppParameter |  |  |

(Windows-specific launch parameters) Get parameter string to be passed to the specified application.

If the file name of Windows-specific launch parameters represents a document, app parameter string will be ignored.

Returns
  Parameter string.

## ◆ getWinDefaultDirectory()

- (NSString *) getWinDefaultDirectory |  |  |

(Windows-specific launch parameters) Get the default directory in standard DOS syntax.

Returns
  Default directory.

## ◆ getWinFileName()

- (NSString *) getWinFileName |  |  |

(Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed.

Returns
  File name.

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## ◆ setWinLaunchParameter:default_directory:operation:app_parameter:()

- (void) setWinLaunchParameter: |  | (NSString *) | file_name
default_directory: |  | (NSString *) | default_directory
operation: |  | (NSString *) | operation
app_parameter: |  | (NSString *) | app_parameter

(Windows-specific launch parameters)Set Windows-specific launch parameters.

This function is used to set Windows-specific launch parameters. Parameter file_name is necessary and can represent either an application or a document. When parameter file_name represents an application, parameters operation and app_parameter are useless.

Parameters

  [in] | file_name | The file name of the application to be launched or the document to be opened or printed. It should not be an empty string.
  [in] | default_directory | Default directory in standard DOS syntax.
  [in] | operation | Operation name. This can be an empty string. If this is not an empty string, it should be one of following strings: "open": Open a document. "print": Print a document
  [in] | app_parameter | Parameter string to be passed to the specified application.

Returns
  None.